<html>
<head>
<title>Ogre::STLAllocator&lt; T, AllocPolicy &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::STLAllocator&lt; T, AllocPolicy &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__Memory.html">Memory</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::STLAllocator" --><!-- doxytag: inherits="Ogre::STLAllocatorBase" -->
<p><code>#include &lt;<a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::STLAllocator&lt; T, AllocPolicy &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1STLAllocator__inherit__graph.gif" border="0" usemap="#Ogre_1_1STLAllocator_3_01T_00_01AllocPolicy_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1STLAllocator_3_01T_00_01AllocPolicy_01_4_inherit__map" id="Ogre_1_1STLAllocator_3_01T_00_01AllocPolicy_01_4_inherit__map">
<area shape="rect" id="node2" href="structOgre_1_1STLAllocatorBase.html" title="Wrapper class for operating as an STL container allocator." alt="" coords="27,5,221,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1STLAllocator-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1STLAllocator_1_1rebind.html">rebind</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">the standard rebind mechanism  <a href="structOgre_1_1STLAllocator_1_1rebind.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1STLAllocatorBase.html">STLAllocatorBase</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#a31bf54b866ab68cdf4065adb9eee9a93">Base</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">define our types, as per ISO C++  <a href="#a31bf54b866ab68cdf4065adb9eee9a93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">Base::value_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#af5221070699c31f29ff62f889ffd9b32">value_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef const <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#a26b77b3bc8f9fff5a33acc22f55ec3df">const_pointer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#a5d26e2252c837f0620a51c075aeb6d56">reference</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef const <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#ab1503596eb95026cd4a65164f612a407">const_reference</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#aabd94312eb1a0e3f84339e5d810c273f">size_type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::ptrdiff_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#af82f6b541d4c320854df346e04ab62ce">difference_type</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#a9c25559c7ed0e526a0195d4d44efce10">STLAllocator</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">ctor  <a href="#a9c25559c7ed0e526a0195d4d44efce10"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#ab4be8634d905e1c62cfbaeca27389188">~STLAllocator</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">dtor  <a href="#ab4be8634d905e1c62cfbaeca27389188"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#af85d3e2726cef7ec1f1d24f2ed3b0675">STLAllocator</a> (<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a> const &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">copy ctor - done component wise  <a href="#af85d3e2726cef7ec1f1d24f2ed3b0675"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename U &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#a3d97ea3f530a55614990908f19ccd533">STLAllocator</a> (<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>&lt; U, AllocPolicy &gt; const &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">cast  <a href="#a3d97ea3f530a55614990908f19ccd533"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename U , typename P &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#ac80a6c2569f5812937287072c04d23ea">STLAllocator</a> (<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>&lt; U, P &gt; const &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">cast  <a href="#ac80a6c2569f5812937287072c04d23ea"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#a219db3b3227be55452bf297cdb7bea89">allocate</a> (<a class="el" href="classOgre_1_1STLAllocator.html#aabd94312eb1a0e3f84339e5d810c273f">size_type</a> count, typename std::allocator&lt; void &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#a26b77b3bc8f9fff5a33acc22f55ec3df">const_pointer</a> ptr=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">memory allocation (elements, used by STL)  <a href="#a219db3b3227be55452bf297cdb7bea89"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#afc5b83dfdc2263f0c6dbebe62c4681a9">deallocate</a> (<a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a> ptr, <a class="el" href="classOgre_1_1STLAllocator.html#aabd94312eb1a0e3f84339e5d810c273f">size_type</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">memory deallocation (elements, used by STL)  <a href="#afc5b83dfdc2263f0c6dbebe62c4681a9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#ad85c5a0fc7665135ab6965b1a6578a0b">address</a> (<a class="el" href="classOgre_1_1STLAllocator.html#a5d26e2252c837f0620a51c075aeb6d56">reference</a> x) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1STLAllocator.html#a26b77b3bc8f9fff5a33acc22f55ec3df">const_pointer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#ab0c9ec3f0b3d15832db68093828df934">address</a> (<a class="el" href="classOgre_1_1STLAllocator.html#ab1503596eb95026cd4a65164f612a407">const_reference</a> x) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1STLAllocator.html#aabd94312eb1a0e3f84339e5d810c273f">size_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#a34af39aff69a8cb62b7548df92fa8aad">max_size</a> () const   throw ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#a04d59556081dfe8d64d660b336b6fc28">construct</a> (<a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a> p)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#ad6ebf2ce6e910595ef613fc955e6df10">construct</a> (<a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a> p, const T &amp;val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html#ad4101ccdcdc6c5336a2ebd5169c55ff9">destroy</a> (<a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a> p)</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T, typename AllocPolicy&gt;<br/>
class Ogre::STLAllocator&lt; T, AllocPolicy &gt;</h3>


<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00081">81</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a31bf54b866ab68cdf4065adb9eee9a93"></a><!-- doxytag: member="Ogre::STLAllocator::Base" ref="a31bf54b866ab68cdf4065adb9eee9a93" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1STLAllocatorBase.html">STLAllocatorBase</a>&lt;T&gt; <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#a31bf54b866ab68cdf4065adb9eee9a93">Base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>define our types, as per ISO C++ </p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a26b77b3bc8f9fff5a33acc22f55ec3df"></a><!-- doxytag: member="Ogre::STLAllocator::const_pointer" ref="a26b77b3bc8f9fff5a33acc22f55ec3df" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef const <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a>* <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#a26b77b3bc8f9fff5a33acc22f55ec3df">const_pointer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00088">88</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1503596eb95026cd4a65164f612a407"></a><!-- doxytag: member="Ogre::STLAllocator::const_reference" ref="ab1503596eb95026cd4a65164f612a407" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef const <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a>&amp; <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#ab1503596eb95026cd4a65164f612a407">const_reference</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="af82f6b541d4c320854df346e04ab62ce"></a><!-- doxytag: member="Ogre::STLAllocator::difference_type" ref="af82f6b541d4c320854df346e04ab62ce" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::ptrdiff_t <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#af82f6b541d4c320854df346e04ab62ce">difference_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00092">92</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="af0eca020577a396b472cf5c2c3ae2a58"></a><!-- doxytag: member="Ogre::STLAllocator::pointer" ref="af0eca020577a396b472cf5c2c3ae2a58" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a>* <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00087">87</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5d26e2252c837f0620a51c075aeb6d56"></a><!-- doxytag: member="Ogre::STLAllocator::reference" ref="a5d26e2252c837f0620a51c075aeb6d56" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a>&amp; <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#a5d26e2252c837f0620a51c075aeb6d56">reference</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00089">89</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="aabd94312eb1a0e3f84339e5d810c273f"></a><!-- doxytag: member="Ogre::STLAllocator::size_type" ref="aabd94312eb1a0e3f84339e5d810c273f" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef std::size_t <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#aabd94312eb1a0e3f84339e5d810c273f">size_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00091">91</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="af5221070699c31f29ff62f889ffd9b32"></a><!-- doxytag: member="Ogre::STLAllocator::value_type" ref="af5221070699c31f29ff62f889ffd9b32" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">Base::value_type</a> <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">value_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented from <a class="el" href="structOgre_1_1STLAllocatorBase.html#a3fc45e6ad404fa54ad9246682e7ccd88">Ogre::STLAllocatorBase&lt; T &gt;</a>.</p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00086">86</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9c25559c7ed0e526a0195d4d44efce10"></a><!-- doxytag: member="Ogre::STLAllocator::STLAllocator" ref="a9c25559c7ed0e526a0195d4d44efce10" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ctor </p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00103">103</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab4be8634d905e1c62cfbaeca27389188"></a><!-- doxytag: member="Ogre::STLAllocator::~STLAllocator" ref="ab4be8634d905e1c62cfbaeca27389188" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::~<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>dtor </p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="af85d3e2726cef7ec1f1d24f2ed3b0675"></a><!-- doxytag: member="Ogre::STLAllocator::STLAllocator" ref="af85d3e2726cef7ec1f1d24f2ed3b0675" args="(STLAllocator const &amp;)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>&lt; T, AllocPolicy &gt; const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>copy ctor - done component wise </p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00111">111</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3d97ea3f530a55614990908f19ccd533"></a><!-- doxytag: member="Ogre::STLAllocator::STLAllocator" ref="a3d97ea3f530a55614990908f19ccd533" args="(STLAllocator&lt; U, AllocPolicy &gt; const &amp;)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
<div class="memtemplate">
template&lt;typename U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>&lt; U, AllocPolicy &gt; const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>cast </p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00116">116</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac80a6c2569f5812937287072c04d23ea"></a><!-- doxytag: member="Ogre::STLAllocator::STLAllocator" ref="ac80a6c2569f5812937287072c04d23ea" args="(STLAllocator&lt; U, P &gt; const &amp;)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
<div class="memtemplate">
template&lt;typename U , typename P &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>&lt; U, P &gt; const &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>cast </p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00121">121</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad85c5a0fc7665135ab6965b1a6578a0b"></a><!-- doxytag: member="Ogre::STLAllocator::address" ref="ad85c5a0fc7665135ab6965b1a6578a0b" args="(reference x) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a> <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#ad85c5a0fc7665135ab6965b1a6578a0b">address</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html#a5d26e2252c837f0620a51c075aeb6d56">reference</a>&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00143">143</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab0c9ec3f0b3d15832db68093828df934"></a><!-- doxytag: member="Ogre::STLAllocator::address" ref="ab0c9ec3f0b3d15832db68093828df934" args="(const_reference x) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1STLAllocator.html#a26b77b3bc8f9fff5a33acc22f55ec3df">const_pointer</a> <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#ad85c5a0fc7665135ab6965b1a6578a0b">address</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html#ab1503596eb95026cd4a65164f612a407">const_reference</a>&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00148">148</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a219db3b3227be55452bf297cdb7bea89"></a><!-- doxytag: member="Ogre::STLAllocator::allocate" ref="a219db3b3227be55452bf297cdb7bea89" args="(size_type count, typename std::allocator&lt; void &gt;::const_pointer ptr=0)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a> <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#a219db3b3227be55452bf297cdb7bea89">allocate</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html#aabd94312eb1a0e3f84339e5d810c273f">size_type</a>&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">typename std::allocator&lt; void &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#a26b77b3bc8f9fff5a33acc22f55ec3df">const_pointer</a>&#160;</td>
          <td class="paramname"><em>ptr</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>memory allocation (elements, used by STL) </p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00125">125</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04d59556081dfe8d64d660b336b6fc28"></a><!-- doxytag: member="Ogre::STLAllocator::construct" ref="a04d59556081dfe8d64d660b336b6fc28" args="(pointer p)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#a04d59556081dfe8d64d660b336b6fc28">construct</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00159">159</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad6ebf2ce6e910595ef613fc955e6df10"></a><!-- doxytag: member="Ogre::STLAllocator::construct" ref="ad6ebf2ce6e910595ef613fc955e6df10" args="(pointer p, const T &amp;val)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#a04d59556081dfe8d64d660b336b6fc28">construct</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a>&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>val</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00165">165</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="afc5b83dfdc2263f0c6dbebe62c4681a9"></a><!-- doxytag: member="Ogre::STLAllocator::deallocate" ref="afc5b83dfdc2263f0c6dbebe62c4681a9" args="(pointer ptr, size_type)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#afc5b83dfdc2263f0c6dbebe62c4681a9">deallocate</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a>&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html#aabd94312eb1a0e3f84339e5d810c273f">size_type</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>memory deallocation (elements, used by STL) </p>

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00136">136</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad4101ccdcdc6c5336a2ebd5169c55ff9"></a><!-- doxytag: member="Ogre::STLAllocator::destroy" ref="ad4101ccdcdc6c5336a2ebd5169c55ff9" args="(pointer p)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#ad4101ccdcdc6c5336a2ebd5169c55ff9">destroy</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1STLAllocator.html#af0eca020577a396b472cf5c2c3ae2a58">pointer</a>&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00171">171</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a34af39aff69a8cb62b7548df92fa8aad"></a><!-- doxytag: member="Ogre::STLAllocator::max_size" ref="a34af39aff69a8cb62b7548df92fa8aad" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , typename AllocPolicy &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1STLAllocator.html#aabd94312eb1a0e3f84339e5d810c273f">size_type</a> <a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator</a>&lt; T, AllocPolicy &gt;::<a class="el" href="classOgre_1_1STLAllocator.html#a34af39aff69a8cb62b7548df92fa8aad">max_size</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const  throw ()</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00153">153</a> of file <a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMemorySTLAllocator_8h_source.html">OgreMemorySTLAllocator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
